Package ru.bitel.bgbilling.kernel.network.radius

# Class Digest5090RadiusSession<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,​?,​?>,​P>

java.lang.Object
ru.bitel.bgbilling.kernel.network.radius.RadiusSession<N,​P>
ru.bitel.bgbilling.kernel.network.radius.Digest5090RadiusSession<N,​P>

    public class Digest5090RadiusSession<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,​?,​?>,​P>
    extends RadiusSession<N,​P>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusSession

  `RadiusSession.State`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusSession

  `contract, errorCode, killTime, login, sessionParams, stateAttribute, userName, userNameAttribute`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Digest5090RadiusSession​(byte[] state, java.lang.String userName, RadiusAttribute.RadiusAttributeString userNameAttribute, P sessionParams)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `accessRequest​(RadiusProcessor<?,​N,​P> processor, RadiusListenerWorker<N> req, N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, int log_record_id)` | Сессионная обработка Access-Request.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusSession

  `authentication, checkPassword`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Digest5090RadiusSession

    public Digest5090RadiusSession​(byte[] state, java.lang.String userName, RadiusAttribute.RadiusAttributeString userNameAttribute, P sessionParams)

- ## Method Details

  - ### accessRequest

    public void accessRequest​(RadiusProcessor<?,​N,​P> processor, RadiusListenerWorker<N> req, N nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, int log_record_id)
    Description copied from class: `RadiusSession`
    Сессионная обработка Access-Request. Каждый запрос сесии попадает сюда.
    В данной реализации происходит просто вызов `RadiusProcessor#authentication(Nas, RadiusSession, RadiusPacket, RadiusPacket, Connection, Connection, int)` Т.е. физически сессии нет - это один запрос-ответ. Возможно расширение для реализации, например eap.
    Overrides:
      `accessRequest` in class `RadiusSession<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,​?,​?>,​P>`